<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TArticleDetail
 *
 * @ORM\Table(name="T_Article_Detail")
 * @ORM\Entity
 */
class TArticleDetail
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_article", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idArticle = '0';

    /**
     * @var int
     *
     * @ORM\Column(name="id_detail", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idDetail;

    /**
     * @var string|null
     *
     * @ORM\Column(name="valeur_detail", type="string", length=1000, nullable=true)
     */
    private $valeurDetail;

    public function getIdArticle(): ?int
    {
        return $this->idArticle;
    }

    public function getIdDetail(): ?int
    {
        return $this->idDetail;
    }

    public function getValeurDetail(): ?string
    {
        return $this->valeurDetail;
    }

    public function setValeurDetail(?string $valeurDetail): self
    {
        $this->valeurDetail = $valeurDetail;

        return $this;
    }


}
