<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TClientCommission
 *
 * @ORM\Table(name="T_Client_Commission")
 * @ORM\Entity
 */
class TClientCommission
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_cient", type="integer", nullable=true)
     */
    private $idCient;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_ressource", type="integer", nullable=true)
     */
    private $idRessource;

    /**
     * @var float|null
     *
     * @ORM\Column(name="com", type="float", precision=10, scale=0, nullable=true)
     */
    private $com;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_famille_article", type="integer", nullable=true)
     */
    private $idFamilleArticle;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getIdCient(): ?int
    {
        return $this->idCient;
    }

    public function setIdCient(?int $idCient): self
    {
        $this->idCient = $idCient;

        return $this;
    }

    public function getIdRessource(): ?int
    {
        return $this->idRessource;
    }

    public function setIdRessource(?int $idRessource): self
    {
        $this->idRessource = $idRessource;

        return $this;
    }

    public function getCom(): ?float
    {
        return $this->com;
    }

    public function setCom(?float $com): self
    {
        $this->com = $com;

        return $this;
    }

    public function getIdFamilleArticle(): ?int
    {
        return $this->idFamilleArticle;
    }

    public function setIdFamilleArticle(?int $idFamilleArticle): self
    {
        $this->idFamilleArticle = $idFamilleArticle;

        return $this;
    }


}
