<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TClientCommissionFa
 *
 * @ORM\Table(name="T_Client_Commission_Fa", indexes={@ORM\Index(name="idx_client", columns={"id_client"}), @ORM\Index(name="idx_fam", columns={"id_famille_article"})})
 * @ORM\Entity
 */
class TClientCommissionFa
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_client", type="integer", nullable=true)
     */
    private $idClient;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_famille_article", type="integer", nullable=true)
     */
    private $idFamilleArticle;

    /**
     * @var float|null
     *
     * @ORM\Column(name="com", type="float", precision=10, scale=0, nullable=true)
     */
    private $com;

    /**
     * @var float|null
     *
     * @ORM\Column(name="com_resp", type="float", precision=10, scale=0, nullable=true)
     */
    private $comResp;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getIdClient(): ?int
    {
        return $this->idClient;
    }

    public function setIdClient(?int $idClient): self
    {
        $this->idClient = $idClient;

        return $this;
    }

    public function getIdFamilleArticle(): ?int
    {
        return $this->idFamilleArticle;
    }

    public function setIdFamilleArticle(?int $idFamilleArticle): self
    {
        $this->idFamilleArticle = $idFamilleArticle;

        return $this;
    }

    public function getCom(): ?float
    {
        return $this->com;
    }

    public function setCom(?float $com): self
    {
        $this->com = $com;

        return $this;
    }

    public function getComResp(): ?float
    {
        return $this->comResp;
    }

    public function setComResp(?float $comResp): self
    {
        $this->comResp = $comResp;

        return $this;
    }


}
