<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TClientRepresentant
 *
 * @ORM\Table(name="T_Client_Representant", indexes={@ORM\Index(name="fk_cr_idx", columns={"id_client"})})
 * @ORM\Entity
 */
class TClientRepresentant
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_client", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idClient;

    /**
     * @var int
     *
     * @ORM\Column(name="id_representant", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idRepresentant;

    public function getIdClient(): ?int
    {
        return $this->idClient;
    }

    public function getIdRepresentant(): ?int
    {
        return $this->idRepresentant;
    }


}
