<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TArticleVariable
 *
 * @ORM\Table(name="T_Article_Variable", indexes={@ORM\Index(name="idx_art", columns={"id_article"}), @ORM\Index(name="id_arti_vzr_idx", columns={"id_article"})})
 * @ORM\Entity
 */
class TArticleVariable
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_article", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idArticle;

    /**
     * @var string
     *
     * @ORM\Column(name="variable_art", type="string", length=100, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $variableArt;

    public function getIdArticle(): ?int
    {
        return $this->idArticle;
    }

    public function getVariableArt(): ?string
    {
        return $this->variableArt;
    }


}
