<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TClientCategorie
 *
 * @ORM\Table(name="T_Client_Categorie", indexes={@ORM\Index(name="fk_article", columns={"id_categorie_tarif"}), @ORM\Index(name="id_cli", columns={"id_client"})})
 * @ORM\Entity
 */
class TClientCategorie
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_client", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idClient;

    /**
     * @var string
     *
     * @ORM\Column(name="tpd_lib_produit", type="string", length=45, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $tpdLibProduit;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_categorie_tarif", type="integer", nullable=true)
     */
    private $idCategorieTarif;

    /**
     * @var string|null
     *
     * @ORM\Column(name="code_devise_Tarif", type="string", length=45, nullable=true)
     */
    private $codeDeviseTarif;

    public function getIdClient(): ?int
    {
        return $this->idClient;
    }

    public function getTpdLibProduit(): ?string
    {
        return $this->tpdLibProduit;
    }

    public function getIdCategorieTarif(): ?int
    {
        return $this->idCategorieTarif;
    }

    public function setIdCategorieTarif(?int $idCategorieTarif): self
    {
        $this->idCategorieTarif = $idCategorieTarif;

        return $this;
    }

    public function getCodeDeviseTarif(): ?string
    {
        return $this->codeDeviseTarif;
    }

    public function setCodeDeviseTarif(?string $codeDeviseTarif): self
    {
        $this->codeDeviseTarif = $codeDeviseTarif;

        return $this;
    }


}
